import { ConfigService } from '../lib/index';
export declare class AppService {
    _type: string;
    baseUrl: string;
    loading: boolean;
    collectionManifest: any;
    components: any[];
    data: any;
    config: ConfigService;
    authenticated: boolean;
    errorMessage: string;
    constructor(enforcer: any);
    init(baseUrl: string): Promise<any>;
    initHistory(): void;
    parseComponents(): void;
    fetchJson(url: string): Promise<any>;
    showFlashMessage(message: string, type: string, duration?: number): void;
    static readonly instance: any;
    type: string;
}
